Bug 825890 - Review Request: uddi4j - Universal Description, Discovery and Integration registry API for Java
Review Request: uddi4j - Universal Description, Discovery and Integration reg...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 826014
  Show dependency treegraph
 
Reported: 2012-05-28 21:01 EDT by Gerard Ryan
Modified: 2012-06-11 20:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 20:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2012-05-28 21:01:08 EDT
Spec URL: http://galileo.fedorapeople.org/uddi4j-2.0.5/uddi4j.spec

SRPM URL: http://galileo.fedorapeople.org/uddi4j-2.0.5/uddi4j-2.0.5-1.fc17.src.rpm

Description: 
UDDI4J is a Java class library that provides an API to interact with a 
UDDI (Universal Description, Discovery and Integration) registry.

Fedora Account System Username: galileo

This is my first package so I need a sponsor.
Comment 1 Marek Goldmann 2012-05-29 07:38:49 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

SPECS/uddi4j.spec:40: W: mixed-use-of-spaces-and-tabs (spaces: line 40, tab: line 1)
SPECS/uddi4j.spec: W: invalid-url Source0: uddi4j-src-2.0.5.zip
0 packages and 1 specfiles checked; 0 errors, 2 warnings.
uddi4j.src:40: W: mixed-use-of-spaces-and-tabs (spaces: line 40, tab: line 1)
uddi4j.src: W: invalid-url Source0: uddi4j-src-2.0.5.zip
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
uddi4j.noarch: W: invalid-url URL: http://sourceforge.net/projects/uddi4j/ timed out
uddi4j.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/uddi4j-2.0.5/README
uddi4j-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
uddi4j-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/uddi4j-javadoc-2.0.5/README
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

See note #1.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : cd358e19acb9b3a4197fce7481c0cce1
MD5SUM upstream package: cd358e19acb9b3a4197fce7481c0cce1
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[!]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason

See issue #2.

[x]  Permissions on files are set properly.
[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)

See issue #3

[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[!]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)

See issue #4

[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4111612

=== Issues ===
1. Group should be Development/Libraries
2. Remove "%defattr(-,root,root,-)"
3. Remove "rm -rf $RPM_BUILD_ROOT"
4. Javadocs must be installed into "$RPM_BUILD_ROOT%{_javadocdir}/%{name}". Please drop the version and the symlink.

=== Final Notes ===
1. Please fix the tabs/spaces issue shown by rpmlint.
2. The Source0 link should be the http://hea... Please use also %{version} tag instead specifyin the version manually

Source0: http://heanet.dl.sourceforge.net/project/uddi4j/uddi4j/%{version}/uddi4j-src-%{version}.zip

3. This is not needed in javadoc subpackage:

%doc BuildDate.txt
%doc ReleaseNotes.html

4. Same as in note #2. The Source2 link should be:

Source2: http://repo1.maven.org/maven2/org/uddi4j/uddi4j/%{version}/uddi4j-%{version}.pom
Comment 3 Gerard Ryan 2012-05-29 11:53:03 EDT
If Source1 and Source2 are urls now, should I remove the corresponding files from the srpm?
Comment 4 Marek Goldmann 2012-05-29 11:56:22 EDT
No, SRPM always contains sources. I'll re-review your package later today or tomorrow morning.
Comment 5 Marek Goldmann 2012-05-30 04:06:54 EDT
Javadocs are not copied, please add:

cp -rp build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
Comment 7 Marek Goldmann 2012-05-31 06:47:31 EDT
Looks good now!

================
*** APPROVED ***
================

I sponsored you, please request SCM now: http://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages
Comment 8 Gerard Ryan 2012-05-31 08:53:13 EDT
New Package SCM Request
=======================
Package Name: uddi4j
Short Description: Universal Description, Discovery and Integration registry API for Java
Owners: galileo
Branches: f17
InitialCC: goldmann
Comment 9 Gwyn Ciesla 2012-05-31 10:02:46 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-05-31 11:56:58 EDT
uddi4j-2.0.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/uddi4j-2.0.5-3.fc17
Comment 11 Fedora Update System 2012-06-01 13:12:13 EDT
uddi4j-2.0.5-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-06-01 21:33:40 EDT
uddi4j-2.0.5-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/uddi4j-2.0.5-4.fc17
Comment 13 Fedora Update System 2012-06-11 20:34:33 EDT
uddi4j-2.0.5-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.